Skip to main content
GET
/
appointments
List appointments
curl --request GET \
  --url https://api.maxcare.ai/v2/appointments \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
{
  "code": "success",
  "data": {
    "appointments": [
      {
        "id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
        "scheduledStartDate": "2025-01-20T09:00:00.000Z",
        "scheduledEndDate": "2025-01-20T09:30:00.000Z",
        "status": "confirmed",
        "isNewPatient": false,
        "patientId": "c56103bc-d39c-46d3-9f31-38dd2b5e05f6",
        "patientFirstName": "Sarah",
        "patientLastName": "Johnson",
        "patientMrn": "MRN-10042",
        "providerId": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
        "providerFirstName": "James",
        "providerLastName": "Wilson",
        "facilityId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
        "createdAt": "2025-01-15T09:30:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "pageSize": 100,
      "totalCount": 250,
      "totalPages": 3
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.maxcare.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Marketplace API key

Headers

X-Organization-Id
string
required

Target clinic organization ID

Query Parameters

dateFrom
string

Filter appointments from this date (ISO 8601)

Example:

"2025-01-01"

dateTo
string

Filter appointments up to this date (ISO 8601)

Example:

"2025-12-31"

statuses
string[]

Comma-separated list of statuses to filter by

facilityId
string

Filter by facility ID

patientId
string

Filter by patient ID

sortBy
enum<string>

Sort field

Available options:
scheduledStartDate,
lastSyncedAt,
status
sortOrder
enum<string>

Sort direction

Available options:
asc,
desc

Response

Success

code
string
required

Response code

Example:

"success"

data
object
required